<?php


class formWidgetContentFiltersOptions extends cmsForm
{

	public function init()
	{

		return array(

			array(
				'type'   => 'fieldset',
				'title'  => LANG_OPTIONS,
				'childs' => array(

					new fieldList(
						'options:ctype_id', array(
							'title'     => LANG_CONTENT_TYPE,
							'generator' => function ($item) {

								$model = cmsCore::getModel('content');
								$tree  = $model->getContentTypes();

								if ($tree) {
									foreach ($tree as $item) {
										$items[ $item['id'] ] = $item['title'];
									}
								}

								return $items;

							}
						)
					),
					new fieldString(
						'options:is_filter_title', array(
							'title'   => LANG_WD_FILTERS_IS_FILTER_TITLE,
							'hint'    => LANG_WD_FILTERS_IS_FILTER_TITLE_HINT,
							'default' => ''
						)
					),
					new fieldNumber(
						'options:limit', array(
							'title'   => LANG_WD_FILTERS_IS_FILTER_LIMIT,
							'default' => 10,
							'rules'   => array(
								array('required')
							)
						)
					)

				)
			)

		);

	}

}
