<?php

$core     = cmsCore::getInstance();
$core_url = $core->uri;

if (!isset($ds_prefix)) {
	$ds_prefix = '/';
}

$active_filters_query = $this->controller->getActiveFiltersQuery();

?>

<?php if ($filters) { ?>
	<div class="m-0 p-0 widget-filters">
		<div class="btn-toolbar" role="toolbar" aria-label="Фильтры по параметрам.">
			<div class="btn-block" role="group" aria-label="Фильтры по параметрам, группа ссылок для Фильтров.">
				<?php foreach ($filters as $filter) { ?>
					<?php $filter_url = $ctype_name . '/' . $filter['slug']; ?>
					<a class="btn btn-light btn-link* btn-sm mb-1 tooltip-top filters-link <?php echo $ctype_name; ?>-<?php echo $filter['slug']; ?>-<?php if ($core_url == $filter_url) { ?> disabled<?php } ?>"<?php if ($core_url == $filter_url) { ?> aria-pressed="true"<?php } ?> role="button" href="/<?php echo $filter_url; ?>" title="<?php if ($is_filter_title) {
						echo html($is_filter_title);
					} else {
						echo 'Фильтры по параметрам - ';
					} ?> <?php echo $filter['title']; ?>"> <?php echo $filter['title']; ?></a>
				<?php } ?>
			</div>
		</div>
	</div>

<!--@formatter:off-->
<style>/* Compressed */.filters-link{padding:2px 6px;border:1px solid #bdc3c7;border-radius:2px;color:#95a5a6;font-size:13px;line-height:16px;margin-left:6px;}.widget-filters .btn-toolbar{margin:auto;}.widget-filters a.disabled{text-decoration:none;font-weight:500;color:#30434d;}<?php if($core_url == $ctype_name) { ?>.widget-filters div a:first-child{font-weight:500;pointer-events:none !important;}<?php } ?>/* Compressed */</style>

<?php } ?>
